package com.zbf.system.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.zbf.common.annotation.NoAutoFill;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zbf.common.annotation.Excel;
import com.zbf.common.core.domain.BaseEntity;

/**
 * generateSeq对象 t_seq
 *
 * @author wgs
 * @date 2024-06-21
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@ToString
@TableName(resultMap = "com.zbf.system.mapper.TSeqMapper.TSeqResult")
public class TSeq  {
private static final long serialVersionUID = 1L;

    /** id */
    @TableId(value = "id",type = IdType.AUTO)
    private Long id;

    /** key */
    @Excel(name = "key")
    private String k;

    /** value */
    @Excel(name = "value")
    private Long v;

    public void setId(Long id)
            {
            this.id = id;
            }

    public Long getId()
            {
            return id;
            }
    public void setK(String k)
            {
            this.k = k;
            }

    public String getK()
            {
            return k;
            }
    public void setV(Long v)
            {
            this.v = v;
            }

    public Long getV()
            {
            return v;
            }


}


















